--- a/GConf.spec	2024-10-22 02:20:25.877865985 +0300
+++ b/GConf.spec	2024-10-22 02:20:25.897866204 +0300
@@ -112,6 +112,7 @@
 Provides: lib%oldname-devel = %version
 Obsoletes: lib%oldname-devel < %version
 Requires: lib%name = %EVR
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description -n lib%name-devel
 GConf development package. Contains files needed for doing
@@ -157,6 +158,19 @@
 %description -n lib%name-gir-devel
 GObject introspection devel data for the GConf library
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: libGConf-devel <= 3.2.6-alt4
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup
 install -p -m644 %_sourcedir/libgconf.{map,lds} gconf/
@@ -290,8 +304,9 @@
 %_includedir/*
 %_pkgconfigdir/*
 %_datadir/aclocal/*
-%_rpmmacrosdir/%name
+#%_rpmmacrosdir/%name
 %_sysconfdir/buildreqs/files/ignore.d/gconf
+%exclude %_rpmmacrosdir/*
 
 %files -n lib%name-devel-doc
 %_datadir/gtk-doc/html/*
@@ -312,4 +327,8 @@
 %_girdir/*
 %endif
 
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
+
 %changelog
--- a/adobe-mappings-cmap.spec	2024-10-22 02:20:26.381871521 +0300
+++ b/adobe-mappings-cmap.spec	2024-10-22 02:20:26.396871685 +0300
@@ -64,6 +64,7 @@
 Summary:          RPM macros for Adobe's CMap resources for character collections
 Requires:         %{name} = %{version}-%{release}
 Requires:         %{name}-deprecated = %{version}-%{release}
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 This package is useful for development purposes only. It installs RPM
@@ -76,6 +77,19 @@
 #       "pre-compiled" to smallest size possible, but they still remain in
 #       postscript format as intended. That's why there is no %%build phase.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: adobe-mappings-cmap-devel <= 20230622-alt1_1
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q -n cmap-resources-%{version}
 git init -q
@@ -118,7 +132,12 @@
 %{_datadir}/adobe/resources/mapping/deprecated
 
 %files devel
-%{_rpmmacrosdir}/macros.%{name}
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/macros.%{name}
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 # =============================================================================
 
--- a/adobe-mappings-pdf.spec	2024-10-22 02:20:26.447872245 +0300
+++ b/adobe-mappings-pdf.spec	2024-10-22 02:20:26.454872322 +0300
@@ -33,6 +33,7 @@
 Group: Other
 Summary:          RPM macros for Adobe's PDF mapping resources
 Requires:         %{name} = %{version}-%{release}
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 This package is useful for development purposes only. It installs RPM
@@ -46,6 +47,19 @@
 #       "pre-compiled" to smallest size possible, but they still remain in
 #       postscript format as intended. That's why there is no %%build phase.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: adobe-mappings-pdf-devel <= 20190401-alt1_5
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q -n mapping-resources-pdf-%{version}
 git init -q
@@ -80,7 +94,12 @@
 %{_datadir}/adobe/resources/mapping/pdf2unicode
 
 %files devel
-%{_rpmmacrosdir}/macros.%{name}
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/macros.%{name}
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 # =============================================================================
 
--- a/altlinux-release.spec	2024-10-22 02:20:26.678874783 +0300
+++ b/altlinux-release.spec	2024-10-22 02:20:26.684874849 +0300
@@ -26,6 +26,19 @@
 %description
 This package contains %dtext release files.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: altlinux-release-sisyphus <= 20201124-alt1
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %install
 install -pD -m644 /dev/null %buildroot%_sysconfdir/buildreqs/packages/ignore.d/%name
 echo "%text_file" >%buildroot%_sysconfdir/altlinux-release
@@ -57,4 +70,8 @@
 %_sysconfdir/buildreqs/packages/ignore.d/*
 %_rpmmacrosdir/altlinux-release
 
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
+
 %changelog
--- a/e26.spec	2024-10-22 02:20:29.369904340 +0300
+++ b/e26.spec	2024-10-22 02:20:29.386904526 +0300
@@ -114,10 +114,24 @@
 Obsoletes: e17-devel e18-devel
 Provides: e17-devel = %EVR
 Provides: e18-devel = %EVR
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 Development headers for Enlightenment.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: enlightenment-devel <= 0.26.0-alt1
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -n %name-%version%beta
 #%patch -p1 -R -b .auth
@@ -237,6 +251,11 @@
 %_includedir/%name/
 %_pkgconfigdir/%name.pc
 %_pkgconfigdir/everything.pc
-%_rpmmacrosdir/%name
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/%name
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/ggz-base-libs.spec	2024-10-22 02:20:30.654918454 +0300
+++ b/ggz-base-libs.spec	2024-10-22 02:20:30.663918553 +0300
@@ -51,11 +51,25 @@
 Provides: ggz-client-libs-devel = 1:%{version}-%{release}
 Requires: %{name} = %{version}-%{release}
 Requires: pkgconfig
+Requires: rpm-macros-%{name} = %{version}-%{release}
 # %{_sysconfdir}/rpm ownership
 %description devel
 %{summary}.
 
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: ggz-base-libs-devel <= 0.99.5-alt3_35
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q -n %{name}-snapshot-%{version}
 
@@ -133,7 +147,7 @@
 %{_datadir}/desktop-directories/ggz*.directory
 
 %files devel
-%{_rpmmacrosdir}/ggz
+#%_rpmmacrosdir/ggz
 # GPLv2+
 %{_includedir}/ggzmod.h
 %{_libdir}/libggzmod.so
@@ -149,6 +163,11 @@
 %{_libdir}/libggzcore.so
 %{_libdir}/pkgconfig/ggzcore.pc
 %{_mandir}/man3/ggzcore_h.3*
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 
 %changelog
--- a/guile.spec	2024-10-22 02:20:31.238924868 +0300
+++ b/guile.spec	2024-10-22 02:20:31.242924912 +0300
@@ -17,6 +17,7 @@
 Requires: %name = %version-%release
 Provides: /usr/bin/guild
 Provides: /usr/bin/guile-config
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description
 This package provides the default %summary.
@@ -24,6 +25,19 @@
 %description devel
 This package provides the default %summary.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: guile-devel <= 2.2-alt2
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %install
 mkdir -p %buildroot{%_bindir,%_rpmmacrosdir,%_man1dir}
 cat > %buildroot%_rpmmacrosdir/guile << 'E_O_F'
@@ -53,6 +67,11 @@
 %_bindir/guile-config
 %_bindir/guile-snarf
 %_bindir/guile-tools
-%_rpmmacrosdir/guile
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/guile
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/mozilla-common.spec	2024-10-22 02:20:40.251023853 +0300
+++ b/mozilla-common.spec	2024-10-22 02:20:40.255023897 +0300
@@ -12,10 +12,24 @@
 %package devel
 Summary:	Mozilla common directories
 Group:		Development/Other
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description devel
 Mozilla common directories
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: mozilla-common-devel <= 1.0-alt1
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %install
 mkdir -p %buildroot
 cd %buildroot
@@ -42,7 +56,12 @@
 %_datadir/mozilla
 
 %files devel
-%_rpmmacrosdir/%name
+#%_rpmmacrosdir/%name
 %_rpmlibdir/mozcommon.req.list
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/pesign.spec	2024-10-22 02:20:42.894052883 +0300
+++ b/pesign.spec	2024-10-22 02:20:42.901052960 +0300
@@ -22,11 +22,25 @@
 %if_with man
 #BuildRequires: mandoc
 %endif
+Requires: rpm-macros-%{name} = %{version}-%{release}
 
 %description
 This package contains the pesign utility for signing UEFI binaries
 as well as other associated tools.
 
+
+%package -n rpm-macros-%{name}
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: pesign <= 116-alt3
+
+%description -n rpm-macros-%{name}
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -n %name-%version-%release
 
@@ -122,7 +136,7 @@
 %config(noreplace) %_sysconfdir/pesign/groups
 %config(noreplace) %_sysconfdir/pesign/users
 %config(noreplace) %_sysconfdir/sysconfig/pesign
-%_rpmmacrosdir/pesign
+#%_rpmmacrosdir/pesign
 %if_with man
 %_mandir/man?/*
 %endif
@@ -133,5 +147,10 @@
 %dir %_runtimedir/pesign/socketdir/
 %ghost %_runtimedir/pesign/socketdir/socket
 %ghost %_runtimedir/pesign.pid
+%exclude %_rpmmacrosdir/*
+
+%files -n rpm-macros-%{name}
+%_rpmmacrosdir/*
+
 
 %changelog
--- a/xorg-server.spec	2024-10-22 02:20:49.499125431 +0300
+++ b/xorg-server.spec	2024-10-22 02:20:49.515125606 +0300
@@ -144,6 +144,7 @@
 Provides: xorg-glamor-devel = %epoch:%version-%release
 Obsoletes: xorg-glamor-devel < %epoch:%version-%release
 %endif
+Requires: rpm-macros-xorg-sdk = %{version}-%{release}
 
 %description -n xorg-sdk
 The SDK package provides the developmental files which are necessary for
@@ -151,6 +152,19 @@
 outside of the standard X11 source code tree.  Developers writing video
 drivers, input drivers, or other X modules should install this package.
 
+
+%package -n rpm-macros-xorg-sdk
+Summary: Set of RPM macros for packaging %name-based applications
+Group: Development/Other
+# uncomment if macroses are platform-neutral
+#BuildArch: noarch
+# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
+Conflicts: xorg-sdk <= 21.1.13-alt1
+
+%description -n rpm-macros-xorg-sdk
+Set of RPM macros for packaging %name-based applications for ALT Linux.
+Install this package if you want to create RPM packages that use %name.
+
 %prep
 %setup -q
 %patch -p1
@@ -263,6 +277,11 @@
 %_includedir/xorg
 %_pkgconfigdir/*.pc
 %_datadir/aclocal/*.m4
-%_rpmmacrosdir/xorg-sdk
+%exclude %_rpmmacrosdir/*
+#%_rpmmacrosdir/xorg-sdk
+
+%files -n rpm-macros-xorg-sdk
+%_rpmmacrosdir/*
+
 
 %changelog
